function n = nnznonlin(this)
% nnznonlin  Number of non-linearised data points.
%
% Syntax
% =======
%
%     n = nnznonlin(p)
%
% Input arguments
% ================
%
% * `p` [ plan ] - Simulation plan.
%
% Output arguments
% =================
%
% * `n` [ numeric ] - Number of non-linearised equations.
%
% Description
% ============
%
% Example
% ========
% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

%**************************************************************************

n = nnz(this.qanchors);

end
